#!ruby
#**********************************************************************
# ruby regist.rb
#----------------------------------------------------------------------
# 競技かるたレーティングシステム(Ruby版) 新規選手登録ツール
# FILE_ERROR に記載の選手を新たに選手コードを付与して FILE_MEIBO に
# 追加登録する。
# ・CODE-NO,氏名,所属会及びその他ゼロクリアの初期値を追加する。
# ・CODE-NOは最終のCODE-NOに+1した番号
#----------------------------------------------------------------------
# 使用例：regist.batから実行される。
#   ruby regist.rb
#----------------------------------------------------------------------

require 'fileutils'
require './def_rating_files'
require './def_rating_meibo'


if FileTest.exist?(FILE_ERROR) != true
	puts FILE_ERROR + "が見つかりません。"
	exit 1
end


#######################################################################
# FILE_MEIBO の末尾に新規の選手を追加する

data = []
lastdata = []
data_num = 0

# FILE_MEIBOの読み込み
f = File.open(FILE_MEIBO, "r")
while s = f.gets
	s.chomp!
	data.push s
	data_num += 1
end
f.close

# CODE-NOの最終の値を得る
if data_num == 0
	pcode = 1000000
else
	lastdata = data[data_num - 1].split(/\t/)
	pcode = lastdata[MB_CODE].to_i
end
pcode0 = pcode

# 新規の選手を追加する
source = File.open(FILE_ERROR, "r")
meibo  = File.open(FILE_MEIBO, "a")
while s = source.gets
	s.chomp!
	data  = s.split(/,/)
	pname = data[0]
	club  = data[1]
	pcode += 1
	meibo.printf("%d\t%s\t%s\t0\t0\t0\t0\t0\t0000\t0000/0/0\n",pcode,pname,club)
end
meibo.close
source.close


#######################################################################
# 新規の選手を追加した場合、FILE_ERROR をリネームする。
# 追加がなかった場合は、リネームしない。

year = Time.now.year.to_s
wkdir   = RatingFiles.new(year)

if pcode0 != pcode
	wkdir.delete_file FILE_ERROR_BAK
	File.rename(FILE_ERROR, FILE_ERROR_BAK)
end

